probe::stapio.receive_control_message
Prev | Chapter 30. SystemTap Translator Tapset | Next

## Name

probe::stapio.receive_control_message — Received a control message

## Synopsis

    stapio.receive_control_message

## Values

`data`

  a ptr to a binary blob of data sent as the control message

`type`

  type of message being send; defined in runtime/transport/transport_msgs.h

`len`

  the length (in bytes) of the data blob

## Description

Fires just after a message was receieved and before it's processed.

Prev | Up | Next
probe::stap.system.spawn | Home | probe::staprun.insert_module